Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin.InfoCenter.InfoShower
Class InformationShowerMappingArrayMass

    java.lang.Object
      jp.sbi.celldesigner.plugin.InfoCenter.InfoShower.InformationShowerMappingArrayMass

All Implemented Interfaces:
  InformationShowerImpl

    public class InformationShowerMappingArrayMass

extends java.lang.Object
implements InformationShowerImpl

Field Summary
`static java.awt.Color` | `colorSystemDefaultEnd`
`static java.awt.Color` | `colorSystemDefaultMid`
`static java.awt.Color` | `colorSystemDefaultStart`
`static int` | `iMappingArrayMassMarginBetweenRect3DAndMsg`
`static int` | `iMappingArrayMassRect3DDisplayerHeight`
`static int` | `iMappingArrayMassRect3DDisplayerWidth`

Constructor Summary
`InformationShowerMappingArrayMass(jp.sbi.celldesigner.SBModelFrame sbmfrm)`
`InformationShowerMappingArrayMass(jp.sbi.celldesigner.SBModelFrame sbmfrm, javax.swing.JFrame jfrmShowerUIController)`
`InformationShowerMappingArrayMass(jp.sbi.celldesigner.SBModelFrame sbmfrm, javax.swing.JFrame jfrmShowerUIController, java.lang.String[][] strInputDataFromFile, java.lang.String[][] strInputAuxDatas, double minControlValue, double maxControlValue)`
`InformationShowerMappingArrayMass(jp.sbi.celldesigner.SBModelFrame sbmfrm, javax.swing.JFrame jfrmShowerUIController, java.lang.String[][] strInputDataFromFile, java.lang.String[][] strInputAuxDatas, int percent, double minControlValue, double maxControlValue)`
`InformationShowerMappingArrayMass(jp.sbi.celldesigner.SBModelFrame sbmfrm, javax.swing.JFrame jfrmShowerUIController, java.lang.String[][] strInputDataFromFile, java.lang.String[][] strInputAuxDatas, int percent, int iPtr, java.awt.Color colorstart, java.awt.Color colormid, java.awt.Color colorend, double minControlValue, double maxControlValue)`
`InformationShowerMappingArrayMass(jp.sbi.celldesigner.SBModelFrame sbmfrm, javax.swing.JFrame jfrmShowerUIController, java.lang.String[][] strInputDataFromFile, java.lang.String[][] strInputAuxDatas, int percent, int iPtr, double minControlValue, double maxControlValue)`

Method Summary
`void` | `addMember(InformationDisplayerAbst member)`
`static int` | `calcArrayPtrFromPercent(java.lang.String[][] strInputDataFromFile, int percent)`
`void` | `dropDisplayers()`
`javax.swing.JFrame` | `getFrmController()`
`java.lang.String` | `getInformationShowerName()`
`java.lang.String` | `getInformationShowerReadOnlyPK()`
`java.util.Vector` | `getListOfDisplayers()`
`java.awt.Color` | `getUserDefaultEndColor()`
`java.awt.Color` | `getUserDefaultMidColor()`
`java.awt.Color` | `getUserDefaultStartColor()`
`protected void` | `giveMeNewID()`
`boolean` | `isVisible(jp.sbi.celldesigner.SBModelFrame sbf, jp.fric.graphics.draw.GStructure gstructure)`
`void` | `recreateMappingArrayMassDisplayers(java.lang.String[][] strInputDataFromFile, java.lang.String[][] strInputAuxDatas, int percent, int iPtr, java.awt.Color colorstart, java.awt.Color colormid, java.awt.Color colorend, double minControlValue, double maxControlValue)`
`void` | `renewDisplayersArray()`
`void` | `setFrmController(javax.swing.JFrame jfrm)`
`void` | `setSBModelFrameController(jp.sbi.celldesigner.SBModelFrame sbf)`
`void` | `setUserDefaultEndColor(java.awt.Color clor)`
`void` | `setUserDefaultMidColor(java.awt.Color clor)`
`void` | `setUserDefaultStartColor(java.awt.Color clor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### colorSystemDefaultStart

    public static final java.awt.Color colorSystemDefaultStart

### colorSystemDefaultMid

    public static final java.awt.Color colorSystemDefaultMid

### colorSystemDefaultEnd

    public static final java.awt.Color colorSystemDefaultEnd

### iMappingArrayMassRect3DDisplayerWidth

    public static final int iMappingArrayMassRect3DDisplayerWidth

See Also:
  Constant Field Values

### iMappingArrayMassRect3DDisplayerHeight

    public static final int iMappingArrayMassRect3DDisplayerHeight

See Also:
  Constant Field Values

### iMappingArrayMassMarginBetweenRect3DAndMsg

    public static final int iMappingArrayMassMarginBetweenRect3DAndMsg

See Also:
  Constant Field Values

Constructor Detail

### InformationShowerMappingArrayMass

    public InformationShowerMappingArrayMass(jp.sbi.celldesigner.SBModelFrame sbmfrm)

### InformationShowerMappingArrayMass

    public InformationShowerMappingArrayMass(jp.sbi.celldesigner.SBModelFrame sbmfrm,
                                             javax.swing.JFrame jfrmShowerUIController)

### InformationShowerMappingArrayMass

    public InformationShowerMappingArrayMass(jp.sbi.celldesigner.SBModelFrame sbmfrm,
                                             javax.swing.JFrame jfrmShowerUIController,
                                             java.lang.String[][] strInputDataFromFile,
                                             java.lang.String[][] strInputAuxDatas,
                                             double minControlValue,
                                             double maxControlValue)

### InformationShowerMappingArrayMass

    public InformationShowerMappingArrayMass(jp.sbi.celldesigner.SBModelFrame sbmfrm,
                                             javax.swing.JFrame jfrmShowerUIController,
                                             java.lang.String[][] strInputDataFromFile,
                                             java.lang.String[][] strInputAuxDatas,
                                             int percent,
                                             double minControlValue,
                                             double maxControlValue)

### InformationShowerMappingArrayMass

    public InformationShowerMappingArrayMass(jp.sbi.celldesigner.SBModelFrame sbmfrm,
                                             javax.swing.JFrame jfrmShowerUIController,
                                             java.lang.String[][] strInputDataFromFile,
                                             java.lang.String[][] strInputAuxDatas,
                                             int percent,
                                             int iPtr,
                                             double minControlValue,
                                             double maxControlValue)

### InformationShowerMappingArrayMass

    public InformationShowerMappingArrayMass(jp.sbi.celldesigner.SBModelFrame sbmfrm,
                                             javax.swing.JFrame jfrmShowerUIController,
                                             java.lang.String[][] strInputDataFromFile,
                                             java.lang.String[][] strInputAuxDatas,
                                             int percent,
                                             int iPtr,
                                             java.awt.Color colorstart,
                                             java.awt.Color colormid,
                                             java.awt.Color colorend,
                                             double minControlValue,
                                             double maxControlValue)

Method Detail

### getUserDefaultStartColor

    public java.awt.Color getUserDefaultStartColor()

### setUserDefaultStartColor

    public void setUserDefaultStartColor(java.awt.Color clor)

### getUserDefaultMidColor

    public java.awt.Color getUserDefaultMidColor()

### setUserDefaultMidColor

    public void setUserDefaultMidColor(java.awt.Color clor)

### getUserDefaultEndColor

    public java.awt.Color getUserDefaultEndColor()

### setUserDefaultEndColor

    public void setUserDefaultEndColor(java.awt.Color clor)

### getInformationShowerReadOnlyPK

    public java.lang.String getInformationShowerReadOnlyPK()

  Specified by:
    `getInformationShowerReadOnlyPK` in interface `InformationShowerImpl`

### getInformationShowerName

    public java.lang.String getInformationShowerName()

  Specified by:
    `getInformationShowerName` in interface `InformationShowerImpl`

### isVisible

    public boolean isVisible(jp.sbi.celldesigner.SBModelFrame sbf,
                             jp.fric.graphics.draw.GStructure gstructure)

  Specified by:
    `isVisible` in interface `InformationShowerImpl`

### dropDisplayers

    public void dropDisplayers()

### renewDisplayersArray

    public void renewDisplayersArray()

### addMember

    public void addMember(InformationDisplayerAbst member)

### getListOfDisplayers

    public java.util.Vector getListOfDisplayers()

  Specified by:
    `getListOfDisplayers` in interface `InformationShowerImpl`

### setSBModelFrameController

    public void setSBModelFrameController(jp.sbi.celldesigner.SBModelFrame sbf)

### setFrmController

    public void setFrmController(javax.swing.JFrame jfrm)

### getFrmController

    public javax.swing.JFrame getFrmController()

### giveMeNewID

    protected void giveMeNewID()

### recreateMappingArrayMassDisplayers

    public void recreateMappingArrayMassDisplayers(java.lang.String[][] strInputDataFromFile,
                                                   java.lang.String[][] strInputAuxDatas,
                                                   int percent,
                                                   int iPtr,
                                                   java.awt.Color colorstart,
                                                   java.awt.Color colormid,
                                                   java.awt.Color colorend,
                                                   double minControlValue,
                                                   double maxControlValue)

### calcArrayPtrFromPercent

    public static final int calcArrayPtrFromPercent(java.lang.String[][] strInputDataFromFile,
                                                    int percent)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD